Subject: bug#16505: Acknowledgement (24.3.50; Emacs seems to loose key events when typing fast (seriously))

From: Anders Lindgren <[email-masked]>
Date: Sun, 9 Feb 2014 13:56:16 +0100

Got it! It's revision 110793 -- this is a change to nsterm.m (hence an OS
X-specific problem).

The bzr log is as follows:

revno: 110793
fixes bug: http://debbugs.gnu.org/8680
author: Michael Marchionna <[email-masked]>
committer: Chong Yidong <[email-masked]>
branch nick: trunk
timestamp: Sun 2012-11-04 11:34:10 +0800
message:
  * nsterm.m: Add NSClearLineFunctionKey and keypad keys.
  (keyDown): Remap keypad keys to X11 virtual key codes.

When looking at the code, it's unfortunately not obvious (to me) what the
cause is...

    -- Anders

On Sat, Feb 8, 2014 at 9:29 PM, Eli Zaretskii <[email-masked]> wrote:

> > Date: Sat, 8 Feb 2014 21:04:13 +0100
> > From: Anders Lindgren <[email-masked]>
> > Cc: Dmitry Antipov <[email-masked]>, [email-masked], Eli Zaretskii
> <[email-masked]>
> >
> > By back-applying 111505 into earlier revisions I have concluded that
> 110812
> > contains the problem. To ensure that the problem wasn't caused by 111505
> > itself, I also applied it to 110785 (the last revision without this
> > problem) without introducing the "key dropped" problem. In other words,
> the
> > problem must have been introduced somewhere in the range 110796..110811.
>
> If that is the range, the only relevant commit seems to be 110802.
>
> > Unfortunately, I get a build error below for these revisions. The build
> > error is "not enough room for load commands for new __DATA segments",
> which
> > is issued from deep inside the "unexmacosx.c" module. I have no insight
> > into the "unexec" process, so this has stopped me from narrowing down the
> > problem further.
> >
> > Any suggestions on moving forward would be welcome -- for example, would
> it
> > be possible to run Emacs undumped, avoiding unexec all together?
>
> Try reverting only 110802.
>